# kyria-keyboard-config

![Gitea Last Commit](https://img.shields.io/gitea/last-commit/kB01/kyria-keyboard-config?gitea_url=https%3A%2F%2Fgit.kb-one.de)
![Forgejo Issues](https://img.shields.io/gitea/issues/open/kb01/kyria-keyboard-config?gitea_url=https%3A%2F%2Fgit.kb-one.de)
![Forgejo Release](https://img.shields.io/gitea/v/release/kb01/kyria-keyboard-config?gitea_url=https%3A%2F%2Fgit.kb-one.de)
[![standard-readme compliant](https://img.shields.io/badge/readme%20style-standard-brightgreen.svg?style=flat-square)](https://github.com/RichardLitt/standard-readme)

This repository contains the Source Code and Documentation for my Kyria Split Keyboard.

I got mine from [splitkb.com](https://splitkb.com/products/kyria-rev3) (not sponsored), and configured it with a [nice!nano v2](https://nicekeyboards.com/nice-nano/) (not sponsored) and a Linear Rotary Encoder (EC11E183440C).

## Table of Contents

- [Features](#features)
- [Flashing the Keyboard](#flashing-the-keyboard)
- [The Layout](#the-layout)
- [The Keyboard](#the-keyboard)
- [License](#license)

## Features
- Slightly modified [Seniply Layout](https://stevep99.github.io/seniply/)
- RGB Controls
- German QWERTZ layout as fallback or for people trying the keyboard

## Flashing the Keyboard
- Get the latest [Release](https://git.kb-one.de/kb01/kyria-keyboard-config/releases) or [Build](https://git.kb-one.de/kb01/kyria-keyboard-config/actions)
- Double press the reset switch on the left keyboard
- Drag and drop the file kyria_rev3_left-nice_nano_v2-zmk.uf2 on to NICENANO drive
- Double press the reset switch on the right keyboard
- Drag and drop the file kyria_rev3_right-nice_nano_v2-zmk.uf2 on to NICENANO drive

## The Layout
The Layout is Based on the [Seniply Layout](https://stevep99.github.io/seniply/).
Modifications are:
- Removed Symbols from the Symbols Layer which where allready on the Number Layer
- Replaced Colemak-DHm dot and comma with german ones (capital dot = : and capital comma = ;)
- Replaced Colemak-DHm slash and colon with german hash (capital hash = ') and minus
- Added german umlauts to symbol layer.

### Base Layer: Colemak Mod-DH
![Base Layer Image](./docs/keyboard-layout-editor%20base%20colemak-dhm.png)

### Extend Layer
![Extend Layer Image](./docs/keyboard-layout-editor%20extend.png)

### Function Layer
![Function Layer Image](./docs/keyboard-layout-editor%20function.png)

### Symbols Layer
![Symbols Layer Image](./docs/keyboard-layout-editor%20symbol.png)

### Numbers Layer
![Numbers Layer Image](./docs/keyboard-layout-editor%20number.png)

### The Encoder
The Encoder currently is only Programmed to mouse scroll Vertically or Horizontally.
To support this, this Repo currently builds against petejohansons [Pullrequest](https://github.com/zmkfirmware/zmk/pull/2027) for this Feature.

## The Keyboard
Currently I don't have build the Case yet, so it looks a bit barebones.

![Image of physical Keyboard](./docs/photo.jpg)

## License

[MIT © kB01](../LICENSE)